> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-detect-table-modification.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List of organization Postgres services

> **This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> Returns a list of all Postgres services in the organization.

<span data-endpoint-badge="Beta"><Badge color="blue">Beta</Badge></span>

**This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> Returns a list of all Postgres services in the organization.


## OpenAPI

````yaml _specs/cloud-openapi.json GET /v1/organizations/{organizationId}/postgres
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-910487
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
paths:
  /v1/organizations/{organizationId}/postgres:
    get:
      tags:
        - Postgres
      summary: List of organization Postgres services
      description: >-
        **This endpoint is in beta.** API contract is stable, and no breaking
        changes are expected in the future. <br /><br /> Returns a list of all
        Postgres services in the organization.
      operationId: postgresServiceGetList
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the services.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/PostgresServiceListItem'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    PostgresServiceListItem:
      properties:
        name:
          $ref: '#/components/schemas/pgNameProperty'
        provider:
          $ref: '#/components/schemas/pgProvider'
        region:
          $ref: '#/components/schemas/pgRegion'
        postgresVersion:
          $ref: '#/components/schemas/pgVersion'
        size:
          $ref: '#/components/schemas/pgSize'
        haType:
          $ref: '#/components/schemas/pgHaType'
        tags:
          $ref: '#/components/schemas/pgTags'
        id:
          $ref: '#/components/schemas/pgIdProperty'
        state:
          $ref: '#/components/schemas/pgStateProperty'
        createdAt:
          $ref: '#/components/schemas/pgCreatedAtProperty'
        isPrimary:
          $ref: '#/components/schemas/pgIsPrimaryProperty'
    pgNameProperty:
      type: string
      title: Postgres Service Name
      description: >-
        Name of the Postgres service. Alphanumerical string with whitespaces up
        to 50 characters.
      minLength: 1
      maxLength: 50
    pgProvider:
      type: string
      enum:
        - aws
      title: Cloud provider
      description: The cloud provider for a Postgres service.
    pgRegion:
      type: string
      title: Service region
      description: The cloud region for a Postgres service.
    pgVersion:
      type: string
      title: Postgres major version
      enum:
        - '18'
        - '17'
    pgSize:
      type: string
      title: VM size
      description: The VM size for a Postgres service.
      enum:
        - c6gd.large
        - c6gd.xlarge
        - c6gd.2xlarge
        - c6gd.4xlarge
        - c6gd.8xlarge
        - c6gd.16xlarge
        - i7i.large
        - i7i.xlarge
        - i7i.2xlarge
        - i7i.4xlarge
        - i7i.8xlarge
        - i7i.12xlarge
        - i7i.16xlarge
        - i7i.24xlarge
        - i7ie.large
        - i7ie.xlarge
        - i7ie.2xlarge
        - i7ie.3xlarge
        - i7ie.6xlarge
        - i7ie.12xlarge
        - i7ie.18xlarge
        - i7ie.24xlarge
        - i8g.large
        - i8g.xlarge
        - i8g.2xlarge
        - i8g.4xlarge
        - i8g.8xlarge
        - i8g.16xlarge
        - i8g.24xlarge
        - i8ge.large
        - i8ge.xlarge
        - i8ge.2xlarge
        - i8ge.3xlarge
        - i8ge.6xlarge
        - i8ge.12xlarge
        - i8ge.18xlarge
        - i8ge.24xlarge
        - m6gd.large
        - m6gd.xlarge
        - m6gd.2xlarge
        - m6gd.4xlarge
        - m6gd.8xlarge
        - m6gd.16xlarge
        - m6id.large
        - m6id.xlarge
        - m6id.2xlarge
        - m6id.4xlarge
        - m6id.8xlarge
        - m6id.16xlarge
        - m8gd.large
        - m8gd.xlarge
        - m8gd.2xlarge
        - m8gd.4xlarge
        - m8gd.8xlarge
        - m8gd.16xlarge
        - r6gd.medium
        - r6gd.large
        - r6gd.xlarge
        - r6gd.2xlarge
        - r6gd.4xlarge
        - r6gd.8xlarge
        - r6gd.12xlarge
        - r6gd.16xlarge
        - r6id.large
        - r6id.xlarge
        - r6id.2xlarge
        - r6id.4xlarge
        - r6id.8xlarge
        - r6id.12xlarge
        - r6id.16xlarge
        - r6id.24xlarge
        - r6id.32xlarge
        - r8gd.medium
        - r8gd.large
        - r8gd.xlarge
        - r8gd.2xlarge
        - r8gd.4xlarge
        - r8gd.8xlarge
        - r8gd.12xlarge
        - r8gd.16xlarge
        - r8gd.24xlarge
        - r8gd.48xlarge
    pgHaType:
      type: string
      description: >-
        Type of high availability: “none” for no replication, “async” for
        asynchronous replication to a single standby, and “sync” for synchronous
        replication to two standbys.
      enum:
        - none
        - async
        - sync
    pgTags:
      type: array
      items:
        $ref: '#/components/schemas/ResourceTagsV1'
      maxItems: 50
      title: Postgres Tags
      description: >-
        Tags associated with the Postgres service. Tag keys starting with “chc_”
        are reserved for internal use.
    pgIdProperty:
      type: string
      title: Unique Postgres service ID
      format: uuid
      example: f71df78e-ddad-82d0-8dfa-abbec741b82e
    pgStateProperty:
      type: string
      title: Postgres Service State
      description: Current state of the service
      enum:
        - creating
        - restarting
        - running
        - replaying_wal
        - restoring_backup
        - finalizing_restore
        - unavailable
        - stopped
        - deleting
    pgCreatedAtProperty:
      type: string
      format: date-time
      title: Postgres Service creation timestamp
      example: '2026-03-26T20:51:16.384Z'
    pgIsPrimaryProperty:
      type: boolean
      title: Postgres Service is Primary
      description: True if this service is the primary service in the data warehouse
      default: false
    ResourceTagsV1:
      type: object
      properties:
        key:
          type: string
          description: Tag key. Must be alphanumeric with dashes, underscores and dots.
          minLength: 1
          maxLength: 128
          pattern: ^[a-zA-Z0-9._-]+$
        value:
          type: string
          description: Tag value. Must be alphanumeric with dashes, underscores and dots.
          maxLength: 256
          pattern: ^[a-zA-Z0-9._-]+$
      required:
        - key
      example:
        key: Environment
        value: staging
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````